From ea9c63c3804d54823807b6a429d7854f741ee3ab Mon Sep 17 00:00:00 2001
From: Anton Mitrofanov <BugMaster@narod.ru>
Date: Tue, 17 Jan 2012 01:43:48 +0400
Subject: [PATCH] Fix use of uninitialized values with intra-refresh + VBV

---
 encoder/encoder.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

diff --git a/encoder/encoder.c b/encoder/encoder.c
index 7d0b557..21f3198 100644
--- a/encoder/encoder.c
+++ b/encoder/encoder.c
@@ -2899,7 +2899,10 @@ int     x264_encoder_encode( x264_t *h,
             h->fdec->i_pir_end_col = h->fdec->f_pir_position+0.5;
             /* If our intra refresh has reached the right side of the frame, we're done. */
             if( h->fdec->i_pir_end_col >= h->mb.i_mb_width - 1 )
+            {
                 h->fdec->f_pir_position = h->mb.i_mb_width;
+                h->fdec->i_pir_end_col = h->mb.i_mb_width - 1;
+            }
         }
     }
 
-- 
1.7.7.msysgit.1
